import micro_request from '@/utils/micro_request'

const basePath = process.env.VUE_APP_AdminPath
export default {
  // 获取列表
  getList(query) {
    return micro_request.postRequest(basePath, 'Menu', 'GetList', query)
  },
  getTree(query) {
    return micro_request.postRequest(basePath, 'Menu', 'GetMenuTree', query)
  },
  doAdd(query) {
    return micro_request.postRequest(basePath, 'Menu', 'Add', query)
  },
  doEdit(query) {
    return micro_request.postRequest(basePath, 'Menu', 'UpdateById', query)
  },
  doDelete(query) {
    return micro_request.postRequest(basePath, 'Menu', 'DeleteById', query)
  },
}
// import request from '@/utils/request'
//
// export default {
//   // 获取列表
//   getList(params) {
//     return request({
//       url: '/router/getList',
//       method: 'get',
//       params,
//     })
//   },
//   getTree(params) {
//     return request({
//       url: '/menuManagement/getList',
//       method: 'get',
//       params,
//     })
//   },
//   doEdit(data) {
//     return request({
//       url: '/menuManagement/doEdit',
//       method: 'post',
//       data,
//     })
//   },
//   doDelete(data) {
//     return request({
//       url: '/menuManagement/doEdit',
//       method: 'post',
//       data,
//     })
//   },
// }
